package com.gic.haoban.manage.web.vo;

import com.alibaba.fastjson.JSONObject;

import java.io.Serializable;
import java.util.Date;

public class AuditSettingVO implements Serializable {
    private String settingId;

    private String wxEnterpriseId;

    private Integer auditFlag;

    private Date createTime;

    private Date updateTime;

    private Integer statusFlag;
    private Integer clerkChangeFlag;

    private int wxEnterpriseType;
    private int memberOpenCardFlag;
    private int freshFriendFlag;
    // 是否显示会员签到
    private int showMemberSign ;
    // 是否显示ai换装
    private int showAiCustom ;
    // 潜客雷达隐藏折扣店
    private int potentialHide;

    private JSONObject shareMemberSignInfo ;

    public int getShowAiCustom() {
        return showAiCustom;
    }

    public void setShowAiCustom(int showAiCustom) {
        this.showAiCustom = showAiCustom;
    }

    public int getPotentialHide() {
        return potentialHide;
    }

    public void setPotentialHide(int potentialHide) {
        this.potentialHide = potentialHide;
    }

    private static final long serialVersionUID = 1L;

    public JSONObject getShareMemberSignInfo() {
        return shareMemberSignInfo;
    }

    public void setShareMemberSignInfo(JSONObject shareMemberSignInfo) {
        this.shareMemberSignInfo = shareMemberSignInfo;
    }

    public int getShowMemberSign() {
        return showMemberSign;
    }

    public void setShowMemberSign(int showMemberSign) {
        this.showMemberSign = showMemberSign;
    }

    public int getFreshFriendFlag() {
        return freshFriendFlag;
    }

    public void setFreshFriendFlag(int freshFriendFlag) {
        this.freshFriendFlag = freshFriendFlag;
    }

    public int getWxEnterpriseType() {
        return wxEnterpriseType;
    }

    public void setWxEnterpriseType(int wxEnterpriseType) {
        this.wxEnterpriseType = wxEnterpriseType;
    }

    public int getMemberOpenCardFlag() {
        return memberOpenCardFlag;
    }

    public void setMemberOpenCardFlag(int memberOpenCardFlag) {
        this.memberOpenCardFlag = memberOpenCardFlag;
    }

    public Integer getClerkChangeFlag() {
        return clerkChangeFlag;
    }

    public void setClerkChangeFlag(Integer clerkChangeFlag) {
        this.clerkChangeFlag = clerkChangeFlag;
    }

    public String getSettingId() {
        return settingId;
    }

    public void setSettingId(String settingId) {
        this.settingId = settingId == null ? null : settingId.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public Integer getAuditFlag() {
        return auditFlag;
    }

    public void setAuditFlag(Integer auditFlag) {
        this.auditFlag = auditFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }
}